##########
# collectionbuilder-csv
# Jekyll Digital Collection Generator
# https://github.com/CollectionBuilder/collectionbuilder-csv
##########

##########
# URL VARIABLES
#
# site domain, full URL to the production location of your collection
url:  https://LGL.gitlab.uliege.be/retrotechnopedagogy
# path to location on the domain if necessary e.g. /digital/hjccc
baseurl: /retrotechnopedagogie
# location of code, the full url to your github repository
source-code: https://gitlab.uliege.be/LGL/retrotechnopedagogy

##########
# SITE SETTINGS
#
# title of site appears in banner
title: A dive into the history of technopedagogy
# tagline, a short phrase that will appear throughout the site in the top banner
tagline: Documenting the development of educational technology
# description appears in meta tags and other locations
# this description might appear in search result lists, keep around 160 characters max
description: "CollectionBuilder-CSV is a template for creating digital collection exhibits using static web technology."
# keywords, a short list of subjects describing the collection, separated by semicolon, to appear in rich markup
keywords: technopedagogy; educational technology; document analysis; research
# creator of the digital collection, to appear in meta tags; we typically use our GitHub usernames but feel free to just use your name
author: Bruno Dupont (KU Leuven) & Olivier Gason (Liège University)
##########
# COLLECTION SETTINGS
#
# Set the metadata for your collection (the name of the CSV file in your _data directory that describes the objects in your collection) 
# Use the filename of your CSV **without** the ".csv" extension! E.g. _data/demo-metadata.csv --> "demo-metadata"
metadata: technopedagogy_source_file
# page generation settings [optional!]
# [optional: only used if you need to tweak CB defaults or generate from more than one data file]
# page_gen:
#   - data: 'demo-metadata'
#     template: 'item'
#     name: 'objectid'
#     dir: 'items'
#     extension: 'html' 
#     filter: 'objectid'  

##########
# Site/Organization Branding 
#   Enter information for your organization (replacing the CDIL links and name below) if you'd like to brand your site with a logo
#   To remove the branding, comment out these values, or delete them. 
#
organization-name: "Liège Game Lab"
organization-link: https://www.liegegamelab.uliege.be/cms/c_4327765/fr/liege-game-lab?id=c_4327765
organization-logo-nav: https://gitlab.uliege.be/LGL/retrotechnopedagogy/-/raw/main/assets/img/liege-game-lab.svg

##########
# ROBOTS EXCLUDE
#
# set noindex to true if you do NOT want Google to index your site
# noindex: true 

##########
# BUILD SETTINGS 
#
# Note: use environment variable on build command to include analytics
# JEKYLL_ENV=production jekyll build
# (this is done automatically by gh-pages build)
#
# ignore stuff
exclude: [docs/, Rakefile, rakelib/, README.md, LICENSE, CITATION.cff, CODE_OF_CONDUCT.md, CONTRIBUTING.md, SECURITY.md]
# compress CSS output
sass:
  style: compressed
